/* os.c -- NetWare specific support
   Copyright (C) 1995, 1996, 1997, 1998  Free Software Foundation, Inc.

This file is part of GNU Wget.

GNU Wget is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GNU Wget is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Wget; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* #### Someone please document what these functions do!  */

#include <config.h>

#include <stdio.h>
#include <stdlib.h>
#include <pwd.h>
#include <grp.h>

#include "wget.h"

struct	group *grs;
struct	passwd *pws;

struct passwd*
getpwuid (uid_t userid)
{
	/* later we can add some LDAP stuff here */
	pws->pw_name = (char *) "admin\0";
	pws->pw_passwd = (char *) "\0";
	pws->pw_uid = 1;
	pws->pw_gid = 1;
	pws->pw_gecos = (char *) "\0";
	pws->pw_dir = (char *) "/\0";
	pws->pw_shell = (char *) "bash\0";
	return pws;
}

struct group*
getgrgid (gid_t groupid)
{
	grs->gr_name = (char *) "everyone\0";
	grs->gr_passwd = (char *) "\0";
	grs->gr_gid = 1;
	return grs;
}

fork_to_background (void)
{
	/* Whether we arrange our own version of opt.lfilename here.  */
	int changedp = 0;

	if (!opt.lfilename)
		{
		opt.lfilename = (char *) unique_name (DEFAULT_LOGFILE);
		changedp = 1;
		}
	printf (_("Continuing in background.\n"));
	if (changedp)
		printf (_("Output will be written to `%s'.\n"), opt.lfilename);

}
